Bug 986608 - Review Request: weasyprint - Utility and Python library to render HTML and CSS to PDF
Review Request: weasyprint - Utility and Python library to render HTML and CS...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
: Reopened
Depends On: 986630 986634 986715
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 19:15 EDT by Eric Smith
Modified: 2014-09-23 23:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: weasyprint-0.22-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 19:03:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2013-07-20 19:15:56 EDT
Spec URL: http://fedorapeople.org/~brouhaha/weasyprint/weasyprint.spec
SRPM URL: http://fedorapeople.org/~brouhaha/weasyprint/weasyprint-0.19.2-1.fc19.src.rpm
Description: WeasyPrint can render HTML and CSS to PDF. It aims to support web standards for printing. Both a command line tool and a Python library are provided.
Fedora Account System Username: brouhaha
Comment 1 Eric Smith 2013-07-20 21:51:38 EDT
I'm closing this review request, because there are some missing (unpackaged) dependencies, which I didn't notice because somehow I had them on my machine.  I'll work on packaging them first, then reopen this review request.

Thanks!
Eric
Comment 2 Christopher Meng 2013-07-20 22:53:40 EDT
Hi, 

Don't close a bug unless it's stalled or invalid. 

Please package the dependencies and use "depends on" to mark them. 

Anyway, I'll leave this bug as NotReady in whiteboard.
Comment 3 Eric Smith 2013-07-21 17:12:10 EDT
I closed it because I didn't think it likely that I'd be able to package the missing dependencies any time soon, so I considered it stalled.  However, as it happens, I actually have been able to get the missing dependencies packaged and submitted for review.

Spec URL: http://fedorapeople.org/~brouhaha/weasyprint/weasyprint.spec
SRPM URL: http://fedorapeople.org/~brouhaha/weasyprint/weasyprint-0.19.2-2.fc19.src.rpm

Depends on copending reviews of:

python-cairocffi  #986715
python-pyphen     #986634
python-tinycss    #986630

and indirectly on python-cffi and python-pycparser.

It is not clear to me from the Fedora Package Review Process document whether I should remove the "NotReady" from the Whiteboard if the package to be reviewed is dependent on other packages which have not yet been reviewed.
Comment 4 Susi Lehtola 2013-07-21 17:15:23 EDT
(In reply to Eric Smith from comment #3)
> It is not clear to me from the Fedora Package Review Process document
> whether I should remove the "NotReady" from the Whiteboard if the package to
> be reviewed is dependent on other packages which have not yet been reviewed.

You can clear NotReady since the package can be reviewed and imported even if the requisites aren't yet included in Fedora. The thing is that you just can't build the package before the requisites are there.
Comment 5 Eric Smith 2013-07-26 17:37:50 EDT
All the prerequisites have been approved and submitted for updates, there are koji buildroot overrides, and koji scratch builds have succeeded for rawhide, f19, f18, and epel6.
Comment 6 Christopher Meng 2013-07-27 05:35:52 EDT
cairocffi is absent.

I'll handle this in the next week.
Comment 7 Eric Smith 2013-07-27 10:03:47 EDT
Absent? The python-cairocffi update is submitted and there is a koji build root override in place, so weasyprint builds successfully in koji.

Next week is fine. Thanks for reviewing!
Eric
Comment 8 Christopher Meng 2013-07-28 20:44:02 EDT
Package is fine, only one question:

tests/test_web/run.py:#!/usr/bin/env python

In the past I think we shouldn't let env works, we should use /usr/bin/python. But can you tell me if this time is OK?
Comment 9 Eric Smith 2013-07-28 21:21:11 EDT
Spec URL: http://fedorapeople.org/~brouhaha/weasyprint/weasyprint.spec
SRPM URL: http://fedorapeople.org/~brouhaha/weasyprint/weasyprint-0.19.2-3.fc19.src.rpm

I'm not sure whether the policy on /usr/bin/env was actually adopted, but I've updated the spec to eliminate both uses of it.  Thanks!
Comment 10 Christopher Meng 2013-07-28 21:22:54 EDT
APPROVED.
Comment 11 Eric Smith 2013-07-28 21:34:11 EDT
New Package SCM Request
=======================
Package Name: weasyprint
Short Description: Utility and Python library to render HTML and CSS to PDF
Owners: brouhaha
Branches: f18 f19 el6
InitialCC:
Comment 12 Gwyn Ciesla 2013-07-29 08:12:28 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-07-29 12:08:16 EDT
weasyprint-0.19.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/weasyprint-0.19.2-3.fc19
Comment 14 Fedora Update System 2013-07-29 12:15:32 EDT
weasyprint-0.19.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/weasyprint-0.19.2-3.fc18
Comment 15 Fedora Update System 2013-07-29 12:26:43 EDT
weasyprint-0.19.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/weasyprint-0.19.2-3.el6
Comment 16 Fedora Update System 2013-07-30 13:45:54 EDT
weasyprint-0.19.2-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 17 Fedora Update System 2013-08-07 19:03:08 EDT
weasyprint-0.19.2-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Fedora Update System 2013-08-07 19:09:27 EDT
weasyprint-0.19.2-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 19 Fedora Update System 2013-08-16 15:51:18 EDT
weasyprint-0.19.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 20 Eric Smith 2014-08-20 23:59:01 EDT
Package Change Request
======================
Package Name: weasyprint
New Branches: epel7
Owners: brouhaha
Comment 21 Gwyn Ciesla 2014-08-21 07:51:33 EDT
Git done (by process-git-requests).
Comment 22 Fedora Update System 2014-08-29 22:02:10 EDT
weasyprint-0.22-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/weasyprint-0.22-1.el7
Comment 23 Fedora Update System 2014-09-23 23:49:27 EDT
weasyprint-0.22-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.